//////////////////////////////////////////
// FileList.cpp
//Copyright (c) 08/30/2022 by ECCSkelton
//////////////////////////////////////////
#include	"DLL.h"
#include	"FileList.h"
#include	"User.h"
#include	"FileListProc.h"

////////////////
// DLLMain関数
////////////////
int WINAPI DllMain(HINSTANCE hInstance, DWORD fdwReason, LPVOID lpReserved) {

	//CFILELISTクラスメンバー変数の初期化
	FileList.m_hInstance = hInstance;
	return TRUE;
}

EXPORT WCHAR* GetFileList(WCHAR* Filter1, WCHAR* Filter2, WCHAR* FilePath, WCHAR* Ext) {

	//ファイルフィルターの初期化
	g_LFlt = Filter1;
	g_MFlt = Filter2;
	//ファイルパスと拡張子
	g_Path = FilePath;
	g_Ext = Ext;
	//モーダルダイアログとして起動
	WCHAR* fn = (WCHAR*)FileList.DoModal(NULL, L"IDD_MAIN", FileList.GetInstance());
	if(*fn) {
		CSTR str(fn);
		str = str + L"が選択されました。これでよろしいですか？";
		if(MessageBoxW(NULL, str.ToChar(), L"ファイル選択最終確認", MB_YESNO | MB_ICONQUESTION) == IDNO)
			fn = L"";
	}
	return fn;
}
